{% extends "base.html.twig" %}

{% form_theme form 'bootstrap_4_layout.html.twig' %}

{% block body %}

<h1>Ajoute un filtre</h1>
    {{ form_start(form) }}

    {{ form_row(form.name, {'label': 'Mots clé','attr':{'placeholder':'Mots clé'}}) }}
    {{ form_row(form.categorie, {'label': 'Categories','attr':{'placeholder':'Categories'}}) }}
    <div class="center">
    <button type="submit" class="btn btn-sucess">Filtrer</button>
    </div>
    {{ form_end(form) }}


{% for post in Posts %}
    <div class="post">
    <div class="post-description">
    <h2>Nom : {{ post.name }}</h2>
    <h6>Categorie : {{ post.categorie }}</h6>
    <h6>Description : {{ post.description }}</h6>
        {% if post.NbTelechargement > 2 %}
            <h6> Nombres de Téléchargements : {{ post.NbTelechargement }}</h6>
        {% else %}
            <h6> Nombre de Téléchargement : {{ post.NbTelechargement }}</h6>
        {% endif %}:
    <div class="telechargement">
    {% if app.user %}
        <a href="{{ path('add1telechargement',{'id': post.id,'idu':app.user.id}) }}" target="_parent"><input type="button" value="Télécharge" class="telechargement"></a>
    {% endif %}
    </div>
    <div class="modifier">
    {% if app.user == post.user %}
        <a href="/editpost/{{post.id}}" target="_parent"><input type="button" value="Modifier" class="Modifier"></a>
        <a href="/deletpost/{{post.id}}" target="_parent"><input type="button" value="Suprimer" class="Suprimer"></a>
    {% endif %}
    </div>
    </div>
    <div class="post-img">
    <img src={{post.image}}/>
    </div>
    </div>
	<div class="bar" id="carre"></div>    
  
{% endfor %}

{% endblock %}